diff -cr ../wp-includes.orig/template-functions-category.php ./template-functions-category.php
*** ../wp-includes.orig/template-functions-category.php	Fri Dec 24 11:28:02 2004
--- ./template-functions-category.php	Fri Dec 24 12:04:30 2004
***************
*** 57,87 ****
         return $link;
  }
  
! function the_category($seperator = '', $parents='') {
      $categories = get_the_category();
      $thelist = '';
      if ('' == $seperator) {
          $thelist .= '<ul class="post-categories">';
          foreach ($categories as $category) {
              $category->cat_name = stripslashes($category->cat_name);
!             $thelist .= "\n\t<li>";
              switch(strtolower($parents)) {
                  case 'multiple':
                      if ($category->category_parent) {
!                         $thelist .= get_category_parents($category->category_parent, TRUE);
                      }
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category->cat_name) . '">'.$category->cat_name.'</a></li>';
                      break;
                  case 'single':
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category->cat_name) . '>';
                      if ($category->category_parent) {
!                         $thelist .= get_category_parents($category->category_parent, FALSE);
                      }
!                     $thelist .= $category->cat_name.'</a></li>';
                      break;
                  case '':
                  default:
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category->cat_name) . '">'.$category->cat_name.'</a></li>';
              }
          }
          $thelist .= '</ul>';
--- 57,92 ----
         return $link;
  }
  
! function the_category($seperator = '', $parents='', $category_starttag='', $category_endtag='', $sub_seperator='/') {
      $categories = get_the_category();
      $thelist = '';
      if ('' == $seperator) {
          $thelist .= '<ul class="post-categories">';
          foreach ($categories as $category) {
              $category->cat_name = stripslashes($category->cat_name);
! 			if(!empty($category->category_description)){
! 			    $category_display = $category->category_description;
! 			} else {
! 			    $category_display = $category->cat_name;
! 			}
!             $thelist .= "\n\t<li>".$category_starttag;
              switch(strtolower($parents)) {
                  case 'multiple':
                      if ($category->category_parent) {
!                         $thelist .= get_category_parents($category->category_parent, TRUE, $sub_seperator);
                      }
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category_display) . '">'.$category_display.'</a>'.$category_endtag.'</li>';
                      break;
                  case 'single':
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category_display) . '">';
                      if ($category->category_parent) {
!                         $thelist .= get_category_parents($category->category_parent, FALSE, $sub_seperator);
                      }
!                     $thelist .= $category_display.'</a>'.$category_endtag.'</li>';
                      break;
                  case '':
                  default:
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category_display) . '">'.$category_display.'</a>'.$category_endtag.'</li>';
              }
          }
          $thelist .= '</ul>';
***************
*** 89,106 ****
          $i = 0;
          foreach ($categories as $category) {
              $category->cat_name = stripslashes($category->cat_name);
!             if (0 < $i) $thelist .= $seperator . ' ';
              switch(strtolower($parents)) {
                  case 'multiple':
!                     if ($category->category_parent)    $thelist .= get_category_parents($category->category_parent, TRUE);
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category->cat_name) . '">'.$category->cat_name.'</a>';
                  case 'single':
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category->cat_name) . '">';
!                     if ($category->category_parent)    $thelist .= get_category_parents($category->category_parent, FALSE);
!                     $thelist .= "$category->cat_name</a>";
                  case '':
                  default:
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category->cat_name) . '">'.$category->cat_name.'</a>';
              }
              ++$i;
          }
--- 94,119 ----
          $i = 0;
          foreach ($categories as $category) {
              $category->cat_name = stripslashes($category->cat_name);
! 			if(!empty($category->category_description)){
! 			    $category_display = $category->category_description;
! 			} else {
! 			    $category_display = $category->cat_name;
! 			}
!             if (0 < $i) $thelist .= $seperator;
! 			$thelist .= $category_starttag;
              switch(strtolower($parents)) {
                  case 'multiple':
!                     if ($category->category_parent)    $thelist .= get_category_parents($category->category_parent, TRUE, $sub_seperator);
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category_display) . '">'.$category_display.'</a>'.$category_endtag;
! 					break;
                  case 'single':
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category_display) . '">';
!                     if ($category->category_parent)    $thelist .= get_category_parents($category->category_parent, FALSE, $sub_seperator);
!                     $thelist .= "$category_display</a>$category_endtag";
! 					break;
                  case '':
                  default:
!                     $thelist .= '<a href="' . get_category_link(0, $category->category_id, $category->category_nicename) . '" title="' . sprintf("View all posts in %s", $category_display) . '">'.$category_display.'</a>'.$category_endtag;
              }
              ++$i;
          }
***************
*** 139,144 ****
--- 152,161 ----
      $parent = $cache_categories[$id];
      if ($nicename) {
          $name = $parent->category_nicename;
+ //Hack
+     } else if (!empty($parent->category_description)){
+ 	$name = $parent->category_description;
+ //Hack End
      } else {
          $name = $parent->cat_name;
      }
***************
*** 345,351 ****
  				$link .= 'title="' . htmlspecialchars($category->category_description) . '"';
  			}
  			$link .= '>';
! 			$link .= stripslashes($category->cat_name).'</a>';
  
  			if ( (! empty($feed_image)) || (! empty($feed)) ) {
  				
--- 362,376 ----
  				$link .= 'title="' . htmlspecialchars($category->category_description) . '"';
  			}
  			$link .= '>';
! //Hack
! //			$link .= stripslashes($category->cat_name).'</a>';
! 			if(empty($category->category_description)){
! 				$link .= stripslashes($category->cat_name);
! 			}else{
! 				$link .= stripslashes($category->category_description);
! 			}
! 			$link .= '</a>';
! //Hack End
  
  			if ( (! empty($feed_image)) || (! empty($feed)) ) {
  				
***************
*** 427,430 ****
  	else
  		return false;
  }
! ?>
--- 452,455 ----
  	else
  		return false;
  }
! ?>
diff -cr ../wp-includes.orig/template-functions-general.php ./template-functions-general.php
*** ../wp-includes.orig/template-functions-general.php	Fri Dec 24 11:53:30 2004
--- ./template-functions-general.php	Fri Dec 24 11:56:11 2004
***************
*** 97,103 ****
      // If there's a category
      if(!empty($cat)) {
          if (!stristr($cat,'-')) { // category excluded
!             $title = stripslashes(get_the_category_by_ID($cat));
          }
      }
      if (!empty($category_name)) {
--- 97,109 ----
      // If there's a category
      if(!empty($cat)) {
          if (!stristr($cat,'-')) { // category excluded
! 	//Hack
! 	    if(category_description($cat)!=null){
! 		$title = stripslashes(category_description($cat));
! 	    }else{
! 		$title = stripslashes(get_the_category_by_ID($cat));
! 	    }
! 	//Hack End
          }
      }
      if (!empty($category_name)) {
***************
*** 579,582 ****
      echo $the_weekday_date;
  }
  
! ?>
--- 585,588 ----
      echo $the_weekday_date;
  }
  
! ?>
